Bug 107036 - Since xorg 1.20 Feral Launcher of Rise of the Tomb Raider shows crippled output
Summary: Since xorg 1.20 Feral Launcher of Rise of the Tomb Raider shows crippled output
Status: RESOLVED MOVED
Alias: None
Product: Wayland
Classification: Unclassified
Component: XWayland (show other bugs)
Version: 1.5.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Wayland bug list
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-25 20:47 UTC by raneon
Modified: 2019-05-10 15:53 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Feral Launcher ROTR (614.37 KB, image/png)
2018-06-25 20:47 UTC, raneon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raneon 2018-06-25 20:47:24 UTC
Created attachment 140337 [details]
Feral Launcher ROTR

Since the upgrade to xorg 1.20, the output of the Feral launcher of Rise of the Tomb Raider is crippled (see attached screenshot) on KDE Plasma on Wayland. The launcher is starting via XWayland. On xorg 1.19 this worked without any issues.

Arch Linux
Linux 4.17.2 with AMDGPU.DC=1
Plasma 5.13.1
Wayland 1.15
xorg 1.20
Mesa-git with RADV (2018-06-25)
Radeon RX480
Comment 1 raneon 2018-08-09 21:13:46 UTC
Even after the upgrade to xorg 1.20.1 I cannot use the Feral launcher to run Rise of the Tomb Raider on Plasma Wayland. As soon as the launcher is shown with the crippled output the launcher is not usable and I have to kill the app, it is even not possible to just close the window normally.

Arch Linux
Linux 4.17.14 with AMDGPU.DC=1
Plasma 5.13.3
Wayland 1.15
xorg 1.20.1
Mesa-git with RADV (2018-08-08)
Radeon RX480
Comment 2 Daniel Stone 2018-08-10 09:16:44 UTC
Michel, any ideas? Looks like we're maybe dropping compression along the way ...
Comment 3 Michel Dänzer 2018-08-15 14:22:15 UTC
(In reply to Daniel Stone from comment #2)
> Michel, any ideas? Looks like we're maybe dropping compression along the way
> ...

Sounds plausible to me, but I'm not sure; Marek / Nicolai / Bas / Dave?


Rainer, any chance you can bisect which xserver Git commit introduced the problem?


P.S. Removing myself from Cc, as I receive updates via the xorg-team mailing list.
Comment 4 Bas Nieuwenhuizen 2018-08-16 10:49:02 UTC
I'm not sure, AFAIK we don't enable compression at all for the WSI images, so not sure where this is coming from.
Comment 5 Michel Dänzer 2018-08-16 12:16:56 UTC
Could it be the other way around — the image is being treated as compressed, when it's actually not?
Comment 6 raneon 2018-08-20 20:22:48 UTC
I'm not familiar with bisecting, sorry I can't help with that.

Total War Sage: Thrones of Britannia has the same issue in the Feral launcher.
Comment 7 raneon 2018-09-08 10:04:08 UTC
The Feral launcher works now somehow in Total War Sage: Thrones of Britannia. But it still doesn't work for Rise of the Tomb Raider.
Comment 8 raneon 2018-09-25 20:26:23 UTC
I did a test with a Intel 5500 GPU and Rise of the Tomb Raider. In this case the Feral launcher will be shown with just a black window content. This is why I think the crippled output is not related to this issue, in fact several games show for 1 second the same crippled output during start on my Radeon RX480 on Plasma Wayland, maybe I should open another bug report for this? The main issue is that still the Feral launcher does crash somehow, the window cannot be closed and I have to kill the process.

Arch Linux
Linux 4.18.9
KDE Plasma 5.14 Beta (Wayland)
Wayland 1.16
xorg 1.20.1
Mesa-git with RADV (2018-09-22)
Comment 9 Marek Olšák 2018-09-30 00:12:42 UTC
It's possible that the window back buffer is uninitialized, so it shows compression data from other apps.
Comment 10 Nathan 2018-12-23 01:57:41 UTC
I'm also seeing the feral options launcher for ROTR go straight to a black screen. It has however loaded twice today, I've been trying it all day so it's a super low percentage. Even then the game freezes instantly once the logos appear. The first time there was some corruption on the bottom of the screen similar to attachment_140337. There was no corruption on the second. No issues with other feral games I own (deus ex mankind divided, F1 2015, XCOM 2, Hitman).

rx580
Arch Linux
kernel: 4.19.11
wayland: 1.16.0
xorg: 1.20.3
gnome: 3.30.2
xf86-video-amdgpu: 18.1.0
mesa: 18.3.1
vulkan-radeon: 18.3.1
Comment 11 raneon 2019-01-13 12:40:46 UTC
The Feral launcher still freezes in almost all cases on Xwayland and it is the only game from Feral with this issue. The only workaround is to try restarting (kill the app and start again) until the Feral launcher starts one time successful and then to disable the Feral launcher. It is quite strange that it works in very rare cases.

Arch Linux
Linux 4.20.1
KDE Plasma 5.15-git (Wayland)
Wayland 1.16
XWayland 1.20.3
Mesa-git with RADV (2019-01-10)
Radeon RX480
Comment 12 GitLab Migration User 2019-05-10 15:53:59 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/xserver/issues/722.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.